Package org.zkoss.zul.ext

## Interface GroupingInfo

- All Known Implementing Classes:
    `GroupsListModel.GroupDataInfo`

      public interface GroupingInfo

  Represents the runtime information of each iteration caused by `GroupsModel`
  Since:
    6.0.0
  Author:
    jumperchen

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static byte` | `ELEMENT` | Indicates the data is an element of a group.
    `static byte` | `GROUP` | Indicates the data is a group (a.k.a., the head of the group).
    `static byte` | `GROUPFOOT` | Indicates the data is a group foot.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getGroupIndex()` | Returns the index of this group
    `int` | `getOffset()` | The offset of an element in a group.
    `int` | `getType()` | The type of the data.
    `boolean` | `isOpen()` | Whether the group is opened.

- - ### Field Detail

    - #### GROUP

          static final byte GROUP

      Indicates the data is a group (a.k.a., the head of the group).
      See Also:
        Constant Field Values

    - #### GROUPFOOT

          static final byte GROUPFOOT

      Indicates the data is a group foot.
      See Also:
        Constant Field Values

    - #### ELEMENT

          static final byte ELEMENT

      Indicates the data is an element of a group.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getType

          int getType()

      The type of the data. It is one of `GROUP`, `GROUPFOOT` and `ELEMENT`.

    - #### getGroupIndex

          int getGroupIndex()

      Returns the index of this group

    - #### getOffset

          int getOffset()

      The offset of an element in a group. It is meaningful only if `getType()` is `ELEMENT`.

    - #### isOpen

          boolean isOpen()

      Whether the group is opened. It is meaningful only if `getType()` is `GROUP`.